# Advent of Code 2022

Another year and another Advent of Code in Rust. Because last year went so well, this time we'll be
aiming for a total time of under 250ms.

```console
$ target/release/aoc_2022 --help
Advent of Code 2022 runner

Usage: aoc_2022 [OPTIONS] <DAY>

Arguments:
  <DAY>  Which day to run

Options:
  -t, --time           Print time taken
  -2, --part2          Run part 2 instead of part 1
  -i, --input <INPUT>  Read input from the given file instead of stdin
  -h, --help           Print help information
```
